﻿<?php

date_default_timezone_set('Asia/Vladivostok');

// User settings
$to = "your@mail.ru";

// Process
$action = isset($_POST["action"]) ? $_POST["action"] : "";
if (empty($action)) {
	// Send back the contact form HTML
	$output = "<div style='display:none'>
	<div class='contact-top'></div>
	<div class='contact-content'>
		<h1 class='contact-title'>Заказать звонок</h1>
		<div class='contact-loading' style='display:none'></div>
		<div class='contact-message' style='display:none'></div>
		<form action='#' style='display:none'>
			<label for='contact-name'>*Ваше имя:</label>
			<input type='text' id='contact-name' class='contact-input' name='name' tabindex='1001' />
			<label for='contact-email'>*Ваш телефон: +7</label>
			<input type='text' id='contact-email' class='contact-input' name='email' tabindex='1002' />
			<br/>
			<label>&nbsp;</label>
			<button type='submit' class='contact-send contact-button' tabindex='1006'>Заказать звонок</button>
			<button type='submit' class='contact-cancel contact-button simplemodal-close' tabindex='1007'>Отмена</button>
			<br/>
			<input type='hidden' name='token' value='" . smcf_token($to) . "'/>
		</form>
	</div>
	<div class='contact-bottom'></div>
</div>";

	echo $output;
}
else if ($action == "send") {
	// Send the email
	$name = isset($_POST["name"]) ? $_POST["name"] : "";
	$email = isset($_POST["email"]) ? $_POST["email"] : "";
	$token = isset($_POST["token"]) ? $_POST["token"] : "";

	// make sure the token matches
	if ($token === smcf_token($to)) {
		smcf_send($name, $email);
		echo "Звонок на номер +7" . $email . " заказан!";
	}
	else {
		echo "Ошибка! Звонок не может быть заказан.";
	}
}

function smcf_token($s) {
	return md5("smcf-" . $s . date("WY"));
}

// Validate and send email
function smcf_send($name, $email) {
	global $to;

	// Filter and validate fields
	$name = smcf_filter($name);
	$email = smcf_filter($email);
	if (!smcf_validate_email($email)) {
		$email = $to;
	}
	
	//Проверяем, не заказыван ли уже звонок на этот номер сегодня
	$otpravka = '1';
	$nowdate = date( "d" );
	if(file_exists("zvonok.txt")){ 
	  $mass = file("zvonok.txt");
	  for ($i = 1; $i <= count($mass)-1; $i++) 
	   { 
		 $temp = explode(" ", $mass[$i]); 
		 //echo $temp[0];
		 //echo '  ';
		 //echo $temp[1];
		 //echo '<br>';
		 
		 if (trim($nowdate) == trim($temp[0])){
		   //Обнаружена запись от сегодняшнего числа
		   if (strcmp($email, $temp[1]) == '0'){
			 $otpravka = '0';
		   }
		 }
		 else{
		 //файл старый, пора удалять!
		 unlink("zvonok.txt");
		 $i = count($mass);
		 }
	   }
	}


		// Set and wordwrap message body
	$body = "Просьба перезвонить. Твой Дом";

	// Build header
	$headers = "$name просит перезвонить ему по телефону: +7$email";

	if ($otpravka == '1'){
		 $fp = fopen("zvonok.txt", "a"); // Открываем файл в режиме записи 
		 $mytext = "\r\n" . date( "d" ) . " " . $email; // Исходная строка
		 $test = fwrite($fp, $mytext); // Запись в файл
		 //if ($test) echo 'Данные в файл успешно занесены.';
		 //else echo 'Ошибка при записи в файл.';
		 fclose($fp); //Закрытие файла
		
		// Отправка сообщения
		@mail($to, $body, $headers) or 
			die("Ошибка! Сервер не может отправить сообщение.");
	}else{
		die("На данный номер звонок уже заказан.");
	}
}

// Remove any un-safe values to prevent email injection
function smcf_filter($value) {
	$pattern = array("/\n/","/\r/","/content-type:/i","/to:/i", "/from:/i", "/cc:/i");
	$value = preg_replace($pattern, "", $value);
	return $value;
}

// Validate email address format in case client-side validation "fails"
function smcf_validate_email($email) {
   
   //MessageBox('text'); 
	//$at = strrpos($email, "@");

	// Make sure the at (@) sybmol exists and  
	// it is not the first or last character
	//if ($at && ($at < 1 || ($at + 1) == strlen($email)))
	//	return false;

	// Make sure there aren't multiple periods together
	//if (preg_match("/(\.{2,})/", $email))
	//	return false;

	// Break up the local and domain portions
	//$local = substr($email, 0, $at);
	//$domain = substr($email, $at + 1);


	// Check lengths
	//$emailLen = strlen($email);
	//if ($emailLen < 10 || $emailLen > 11)
	//	return false;

	// Make sure local and domain don't start with or end with a period
	//if (preg_match("/(^\.|\.$)/", $local) || preg_match("/(^\.|\.$)/", $domain))
	//	return false;

	// Check for quoted-string addresses
	// Since almost anything is allowed in a quoted-string address,
	// we're just going to let them go through
	//if (!preg_match('/^"(.+)"$/', $local)) {
		// It's a dot-string address...check for valid characters
	//	if (!preg_match('/^[-a-zA-Z0-9!#$%*\/?|^{}`~&\'+=_\.]*$/', $local))
	//		return false;
	//}

	// Make sure domain contains only valid characters and at least one period
	//if (!preg_match("/^[-0-9\.]*$/", $email))
	//	return false;	

	return true;
}

exit;

?>